# Reply to the regulatory reviewer

Replies to the regulatory reviewer.

```http
POST https://api.pozy.ai/v1/phone-numbers/{id}/remediate/reply
```

- Area: Phone & voice / Phone Numbers
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `id` (string, required)

## Request body

Content type: `application/json`

- `text`, string: Up to 2000 characters
- `attachments`, array of object: Up to 5 items
  - `filename`, string, required
  - `base64`, string, required

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/remediate/reply" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "text": "Hello from Pozy",
  "attachments": [
    {
      "filename": "photo.jpg",
      "base64": "string"
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/remediate/reply", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    text: "Hello from Pozy",
    attachments: [
      {
        filename: "photo.jpg",
        base64: "string"
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/phone-numbers/6bfebd43ddc270f6d2c56fc5/remediate/reply",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "text": "Hello from Pozy",
        "attachments": [
            {
                "filename": "photo.jpg",
                "base64": "string",
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `posted`, boolean
- `attachments`, integer

```json
{
  "posted": true,
  "attachments": 1
}
```
